Subject: Re: bug in checkout/status ?

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 5 Mar 2009 13:13:53 -0800

Jeff King <[email-masked]> wrote:
> On Thu, Mar 05, 2009 at 12:53:13PM -0800, Shawn O. Pearce wrote:
> 
> OK. I was just sort of guessing based on the similarity of the names and
> the fact that sorting is confusing (as evidenced by the fact that I had
> no idea if it was wrong or not). But that is definitely it:

I never would have guessed the sorting was wrong.  But once you
said something, it was immediately obvious to me that JGit f'd up
the tree.
 
> reveal(ed) the difference. But it looks like you have already re-pushed
> a fixed version.

Well, I rewound the repository.  We're rebasing the change onto the
current tip and pushing a fast-forward instead of letting JGit make
a merge commit here.

But JGit still has a bug that causes it to corrupt the tree sorting
here.  I have yet to understand why it produced that bad sort for
this particular merge, let alone propose a patch for it.

Thanks for the help Peff.

-- 
Shawn.